KausateKausate Docs
Api referenceBilling

Get Billing Invoice Drilldown Endpoint

Return invoice math and supporting ledger rows for one billing run.

GET
/v2/billing/invoices/{invoiceId}
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Path Parameters

invoiceId*string

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate

Response Body

application/json

application/json

curl -X GET "https://api.kausate.com/v2/billing/invoices/string" \  -H "Kausate-Version: 2026-05-01"
{
  "invoiceId": "string",
  "billingRunId": "015c85a3-dd76-4e8f-b4bd-d7158b0de7e9",
  "periodStart": "2019-08-24T14:15:22Z",
  "periodEnd": "2019-08-24T14:15:22Z",
  "status": "string",
  "grossMajor": "string",
  "stripeInvoiceId": "string",
  "lineItems": [
    {
      "sku": "string",
      "quantity": "string",
      "grossMajor": "string",
      "priceSource": "string",
      "tierLines": [
        {
          "tierIndex": 0,
          "tierMinQuantity": "string",
          "quantity": "string",
          "unitAmountMajor": "string",
          "grossMajor": "string",
          "stripeInvoiceItemId": "string"
        }
      ],
      "ledgerItems": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "occurredAt": "2019-08-24T14:15:22Z",
          "eventType": "consumption",
          "creditsCharged": 0,
          "sku": "string",
          "billableCode": "string",
          "pricedSku": "string",
          "productBucket": "string",
          "quantity": "string",
          "endpoint": "string",
          "capability": "string",
          "customerId": "string",
          "customerReference": "string",
          "kausateId": "string",
          "companyName": "string",
          "apiKeyId": "string",
          "apiKeyName": "string",
          "grantsUsed": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ],
          "grantAmounts": [
            0
          ],
          "refundOfEventId": "ca27aa94-e121-4b14-9054-7671abe4b1ab",
          "billingPriceId": "112d217d-03dc-48ac-b33f-8fd5e9cb2387",
          "billingCreditPriceId": "d56ca07d-a9dc-42ac-af94-4949413adde5",
          "unitAmountMajor": "string",
          "sourceEventId": "string",
          "idempotencyKey": "string",
          "metadata": {
            "property1": "string",
            "property2": "string"
          }
        }
      ]
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Last updated on